public class KromClause
{
  // Just a class representing Krom clauses.
  // A Krom clause is an OR between two variables, either of which may be negated.
  // So X_4 OR NOT X_5 is a Krom clause.
  public KromClause(int var1, boolean isPositive1, int var2, boolean isPositive2)
  {
    this.var1 = var1;
    this.isPositive1 = isPositive1;
    this.var2 = var2;
    this.isPositive2 = isPositive2;
  }
  private int var1;
  public int getVar1() { return var1; }
  private boolean isPositive1;
  public boolean getIsPositive1() { return isPositive1; }
  private int var2;
  public int getVar2() { return var2; }
  private boolean isPositive2;
  public boolean getIsPositive2() { return isPositive2; }
}